<?php


function masnaAutoRewritePageFunction(){
	if (
		isset($_POST["masna_auto_rewriter_selected_numb"]) &&
		isset($_POST["masna_auto_rewriter_selected_category"])
	   ){
		$rewiter_numbs = join(",", $_POST['masna_auto_rewriter_selected_numb']);
		foreach ( $_POST['masna_auto_rewriter_selected_category'] as $cat_id){
			echo $cat_id.'<br>';
			$query = new WP_Query( array( 'posts_per_page' => -1,'cat' => $cat_id, 'post_status' => 'publish' ) );
			foreach ($query->posts as $post) {
				update_post_meta($post->ID, '_masna_auto_rewrite_status', 'pending');
				update_post_meta($post->ID, '_masna_auto_rewrite_numbs', $rewiter_numbs);
			}
		}
		echo "مقالات مد نظر شما در لیست بازنویسی قرار گرفت.";
	} else if (isset($_POST["masna_auto_rewriter_selected_numb"])) {
		echo "لطفا دسته بندی های مورد نظر را انتخاب کنید.";
	} else if (isset($_POST["masna_auto_rewriter_selected_category"])) {
		echo "لطفا زبان های بازنویسی برای دسته بندی را وارد کنید";	
	}
	if ( isset($_POST["stoprewrite"]) ){
		$query = new WP_Query( array('posts_per_page' => 50000, 'meta_key' => "_masna_auto_rewrite_status", 'meta_value' => "pending" ) );
		if ($query-> posts){
			foreach ($query-> posts as $post){
				update_post_meta($post->ID, '_masna_auto_rewrite_status', 'stop');
			}
		}
	}
?>
<div>
	<p>
		با انتخاب دسته بندی مورد تمامی پست های این دسته را با نرخ یک پست در ۵ دقیقه بازنویسی کنید.
	</p>
	<form action="" method="POST">
		<?php
	
	?>
		
		<div>
			<b>دسته بندی:</b>
			<select name="masna_auto_rewriter_selected_category[]" id="masna_auto_rewriter_selected_category" class="postbox" multiple="multiple">
				<?php
				$categories = get_categories();
				foreach($categories as $category){
					echo '<option value="'.$category->term_id.'">'.$category->name.'</option>';
				}
				?>
			</select>
		</div>
		<div>
			<b>متن های بازنویسی:</b>
			<select name="masna_auto_rewriter_selected_numb[]" id="masna_auto_rewriter_selected_numb" class="postbox" multiple="multiple">
				<option value="0">متن ۱</option>
				<option value="1">متن ۲</option>
				<option value="2">متن ۳</option>
				<option value="3">متن ۴</option>
				<option value="4">متن ۵</option>
				<option value="5">متن ۶</option>
				<option value="6">متن ۷</option>
				<option value="7">متن ۸</option>
				<option value="8">متن ۹</option>
				<option value="9">متن ۱۰</option>
			</select>
		</div>
		<button name="submit" id="submit" type="submit">
			بازنویسی اتوماتیک شود
		</button>
	</form>
	<form action="" method="POST">
		<button name="stoprewrite" id="stoprewrite" type="submit">
			متوقف کردن بازنویسی
		</button>
	</form>
	<div>
		<b>لیست پست های در انتظار بازنویسی:</b>
		<p>
			<?php
			$query = new WP_Query( array( 'posts_per_page' => 50000, 'meta_key' => "_masna_auto_rewrite_status", 'meta_value' => "pending" ) );
	
			foreach ($query-> posts as $post){
				echo '<a href="'. $post -> guid .'">'. $post -> post_title . '</a> , ';
			}
			?>
		</p>
	</div>
	<div>
		<b>لیست پست های بازنویسی شده:</b>
		<p>
			<?php
			$query = new WP_Query( array( 'meta_key' => "_masna_auto_rewrite_status", 'meta_value' => "done" ) );
			foreach ($query-> posts as $post){
				echo '<a href="'. $post -> guid .'">'. $post -> post_title . '</a> , ';
			}
			?>
		</p>
	</div>
	<div>
		<b>لیست پست های متوقف شده:</b>
		<p>
			<?php
			$query = new WP_Query( array('posts_per_page' => 50000, 'meta_key' => "_masna_auto_rewrite_status", 'meta_value' => "stop" ) );
	
			foreach ($query-> posts as $post){
				echo '<a href="'. $post -> guid .'">'. $post -> post_title . '</a> , ';
			}
			?>
		</p>
	</div>
</div>
<?php
}