<?php

function wporg_add_shortlinks_box() {
    $screens = [ 'post', 'wporg_cptq' ];
    foreach ( $screens as $screen ) {
        add_meta_box(
            'masna_shortlinks_box',                 // Unique ID
            'ساخت شورت لینک مثناسئو',      // Box title
            'wporg_shortlinks_box_html',  // Content callback, must be of type callable
            $screen                            // Post type
        );
    }
}

function wporg_shortlinks_box_html( $post ) {
    ?>
    <a id="masna_shortlinks_submit" style="height: 100px;background-color: #2271b1;padding-top: 10px;padding-bottom: 10px;padding-left: 10px;padding-right: 10px;margin-right: 10px;margin-left: 10px;color: white;border-color: antiquewhite;cursor: pointer;">ساخت شورت لینک</a>
    <div id="masna_shortlinks_result"></div>
    <script>
		function clickHandlerMasnaShortlinksSubmit(){
			var a_tag = document.getElementById('sample-permalink');
			var href = a_tag.getAttribute("href");
			document.getElementById('masna_shortlinks_result').innerHTML = "<p>asdas</p>";
			var request = new XMLHttpRequest();
			var url = "https://masna.ir/api/";
			request.open("POST", url, true);
			request.onreadystatechange = function () {
				if (request.readyState === 4 && request.status === 200) {
					document.getElementById('masna_shortlinks_result').innerHTML = request.response;
// 					var jsonData = JSON.parse(request.response);
				}
			};
			var data = new FormData();
			data.append('user_id', '<?php echo get_option('user_id_masnaseo'); ?>');
			data.append('site_id', '<?php echo get_option('site_id_masnaseo'); ?>');
			data.append('site_name', location.hostname);
			data.append('link', href);
// 			var data = JSON.stringify({"user_id":"<?php echo get_option('user_id_masnaseo'); ?>","site_id":"<?php echo get_option('site_id_masnaseo'); ?>","site_name":location.hostname,"link":href});
			request.send(data);
		}
		var masna_shortlinks_submit = document.getElementById('masna_shortlinks_submit');
		if (masna_shortlinks_submit.addEventListener) {
			masna_shortlinks_submit.addEventListener('click', clickHandlerMasnaShortlinksSubmit, true);
		} else if(masna_shortlinks_submit.attachEvent) {
			masna_shortlinks_submit.attachEvent('onclick', function(){ return clickHandlerMasnaShortlinksSubmit.apply(masna_shortlinks_submit, [window.event])});
		}

        
    </script>
    <?php
}
