<?php

function wporg_add_summary_box() {
    $screens = [ 'post', 'wporg_cptq' ];
    foreach ( $screens as $screen ) {
        add_meta_box(
            'masna_summary_box',                 // Unique ID
            'خلاصه متن مثناسئو',      // Box title
            'wporg_summary_box_html',  // Content callback, must be of type callable
            $screen                            // Post type
        );
    }
}

function wporg_summary_box_html( $post ) {
    ?>
    <div>
    <input id="masna_summary_coefficient" type="text" value="1.2">
    <a id="masna_summary_submit" style="height: 100px;background-color: #2271b1;padding-top: 10px;padding-bottom: 10px;padding-left: 10px;padding-right: 10px;margin-right: 10px;margin-left: 10px;color: white;border-color: antiquewhite;cursor: pointer;">درخواست خلاصه متن</a>
    </div>
    <div style="width: 100%;height: 200px;">
    <textarea id="text_summary" style="width: 100%;height: 200px;"></textarea>
    </div>

	<script>
		
		function clickHandlerMasnaSummarySubmit(){
			var childNodes = document.getElementById('content_ifr').contentWindow.document.getElementById('tinymce').childNodes;
			var total_content = "";
			childNodes.forEach(getIframeText);

			function getIframeText(value) {
			  total_content += value.textContent + ".\n";
			}
			var request = new XMLHttpRequest();
			var url = "https://masna.ir/api/";
			request.open("POST", url, true);
			
			request.onreadystatechange = function () {
				if (request.readyState === 4 && request.status === 200) {
					document.getElementById('text_summary').value = request.response
// 					var jsonData = JSON.parse(request.response);
					
				}
			};
			var data = new FormData();
			data.append('user_id', '<?php echo get_option('user_id_masnaseo'); ?>');
			data.append('site_id', '<?php echo get_option('site_id_masnaseo'); ?>');
			data.append('site_name', location.hostname);
			data.append('total_content', total_content);
			var summary_coefficient = document.getElementById("masna_summary_coefficient").value;
			data.append('summary_coefficient', summary_coefficient);
			request.send(data);
		}
		var masna_summary_submit = document.getElementById('masna_summary_submit');
		if (masna_summary_submit.addEventListener) {
			masna_summary_submit.addEventListener('click', clickHandlerMasnaSummarySubmit, true);
		} else if(masna_summary_submit.attachEvent) {
			masna_summary_submit.attachEvent('onclick', function(){ return clickHandlerMasnaSummarySubmit.apply(masna_suggest_submit, [window.event])});
		}
	</script>
  
    <?php
}