<?php

require_once 'schedule_functions.php';

add_filter ( 'cron_schedules', 'masna_rewrite_once_five_minute' );
function masna_rewrite_once_five_minute($schedules) {
	
	// Adds once weekly to the existing schedules.
	$schedules ['once_five_minute'] = array (
			'interval' => 300,
			'display' => __ ('once 5 minute')
	);
	return $schedules;
}

// add_filter( 'cron_schedules', 'check_every_2_hours' );

// function check_every_2_hours( $schedules ) {
//     $schedules['every_two_hours'] = array(
//         'interval' => 7200,
//         'display'  => __( 'Every 2 hours' ),
//     );
//     return $schedules;
// }


// Unless an event is already scheduled, create one.
 
add_action( 'wp', 'masna_auto_rewrite_cron_job' );
 
function masna_auto_rewrite_cron_job() {
   if ( ! wp_next_scheduled( 'masna_auto_rewrite_five_minutes' ) ) {
      wp_schedule_event( time(), 'once_five_minute', 'masna_auto_rewrite_five_minutes' );
   }
}

// Trigger email when hook runs
 
add_action( 'masna_auto_rewrite_five_minutes', 'masna_auto_rewrite_for_time' );

// Send email
 
function masna_auto_rewrite_for_time() { 
// 	$page_slug = 'test-page-title'; // Slug of the Post
// 	$new_page = array(
// 		'post_type'     => 'page', 				// Post Type Slug eg: 'page', 'post'
// 		'post_title'    => 'Test Page Title',	// Title of the Content
// 		'post_content'  => 'Test Page Content',	// Content
// 		'post_status'   => 'publish',			// Post Status
// 		'post_author'   => 1,					// Post Author ID
// 		'post_name'     => $page_slug			// Slug of the Post
// 	);

// 	if (!get_page_by_path( $page_slug, OBJECT, 'page')) { // Check If Page Not Exits
// 			$new_page_id = wp_insert_post($new_page);
// 	}
	$query = new WP_Query( array( 'meta_key' => "_masna_auto_rewrite_status", 'meta_value' => "pending" ) );
	if ($query-> posts){
		auto_rewrite_post_by_id($query-> posts[0]->ID);
	}
}