<?php
https://wpdean.com/css-chat-box/
function add_question_answer_box($content) {
    if (is_single() || is_page()) {
        $post_id = get_the_ID();
        $status = get_post_meta($post_id, "_masnayar", true);
        if ($status == "active"){
            $box = '<div><div id="question-answer-box"><p><b>مثنایار در خدمت شماست:</b></p><div id="response"></div><textarea id="question" name="question" rows="4" cols="50"></textarea><input id="submit-question" type="submit" value="ارسال"></div></div>';
            $content .= $box;
        }
    }
    return $content;
}
add_filter('the_content', 'add_question_answer_box');
function load_question_answer_style() {
    
    // Enqueue the style
    wp_enqueue_style('question-answer-box-style');
    if (is_single() || is_page()) {
        $post_id = get_the_ID();
        
        $status = get_post_meta($post_id, "_masnayar", true);
        if ($status == "active") {
            wp_enqueue_script('question-answer-box-script', dirname(plugin_dir_url(__FILE__) ). '/js/question-answer-box.js', array('jquery'), null, true);
            wp_register_style('question-answer-box-style', dirname(plugin_dir_url(__FILE__) ). '/css/question-answer-box.css', array(), '1.0', 'all');
            wp_localize_script('question-answer-box-script', 'questionAnswerBoxData', array(
                'post_id' => $post_id,
            ));
        }
    }
}
add_action('wp_enqueue_scripts', 'load_question_answer_style');
function submit_question() {
    if (isset($_POST['question'])) {
        $question = sanitize_text_field($_POST['question']);
        // اینجا می‌توانید کد برای پردازش سوال و تولید پاسخ را اضافه کنید
        // برای مثال ما فقط سوال را برمی‌گردانیم
        echo 'سوال شما: ' . $question;
    }
    wp_die();
}
add_action('wp_ajax_submit_question', 'submit_question');
add_action('wp_ajax_nopriv_submit_question', 'submit_question');
