<?php


require_once "credit_recharge.php";
require_once "functions.php";
require_once "purchase_history.php";
require_once "subscription.php";
require_once "credit.php";
require_once "settings.php";
require_once "auto_rewrite.php";
require_once "search_console.php";
require_once (dirname ( dirname ( __FILE__ ) ) . "/schedule/schedule_functions.php");

function createMasnaMenus() {
    add_menu_page(
        "مثناسئو", // Page title
        "مثناسئو", // Menu title
        'manage_options', // Capability required to access (e.g., 'manage_options', 'edit_posts', 'read', etc.)
        "masna", // Menu slug
        "masnaMainPageFunction", // Function callback
        "http://plugin.masna.ir/wp-content/plugins/masna/icons/masna-seo-plugin-icon.png" // Icon URL
    );

    if (get_option('email_masnaseo')) {
        add_submenu_page(
            "masna", // Parent slug
            "خرید اشتراک", // Page title
            "خرید اشتراک", // Menu title
            'manage_options', // Capability required
            "masna-subscription", // Menu slug
            "masnaSubscriptionPageFunction" // Function callback
        );

        add_submenu_page(
            "masna", // Parent slug
            "سابقه خرید", // Page title
            "سابقه خرید", // Menu title
            'manage_options', // Capability required
            "masna-purchase-history", // Menu slug
            "masnaPurchaseHistoryPageFunction" // Function callback
        );
//     // add_submenu_page("masna", "بازنویسی اتوماتیک", "بازنویسی اتوماتیک", 2, "masna-auto-rewrite", "masnaAutoRewritePageFunction");
//     // add_submenu_page("masna", "سرچ کنسول", "سرچ کنسول", 5, "masna-search-console", "masnaSearchConsolePageFunction");
//     // add_submenu_page("masna", "سفارش محتوا", "سفارش محتوا", 6, "masna-order-content", "masnaOrderContentPageFunction");
//     // add_submenu_page("masna", "سفارش بکلینک", "سفارش بکلینک", 7, "masna-backlink-content", "masnaBacklinkPageFunction");
//     // add_submenu_page("masna", "استراتژی", "استراتژی", 8, "masna-strategy-content", "masnaStrategyContentPageFunction");
//     // add_submenu_page("masna", "لینکسازی", "لینکسازی", 9, "masna-linkbuilding", "masnaLinkbuildingPageFunction");
//     // add_submenu_page("masna", "مدیریت محتوا", "مدیریت محتوا", 10, "masna-content-managment", "masnaContentManagementPageFunction");

        // Add other submenu pages similarly, ensuring to use appropriate capabilities.
    }
}

function masnaContentManagementPageFunction(){
	echo 'این بخش در حال حاضر فعال نمی باشد.';
}


function masnaLinkbuildingPageFunction(){
	echo 'این بخش در حال حاضر فعال نمی باشد.';
}


function masnaStrategyContentPageFunction(){
	echo 'این بخش در حال حاضر فعال نمی باشد.';
}


function masnaOrderContentPageFunction(){
	echo 'این بخش در حال حاضر فعال نمی باشد.';
}


function masnaBacklinkPageFunction(){
	echo 'این بخش در حال حاضر فعال نمی باشد.';
}


function masnaMainPageFunction(){
	echo '<link rel="stylesheet" type="text/css" href="' . plugins_url ( 'css/menu.css', dirname(__FILE__) ) . '">';
// 	auto_rewrite_post_by_id(235);
    if ( isset( $_POST['submit'] ) ) {
        if (isset($_POST['email'])){
            $email = $_POST['email'];
            $parse = parse_url(home_url());
            $host_name = $parse['host'];
            $ch = curl_init();
            curl_setopt($ch, CURLOPT_URL,
             'https://masna.ir/api/index.php');
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 1);
            curl_setopt($ch, CURLOPT_POST, 1);
            curl_setopt($ch, CURLOPT_POSTFIELDS, 'host_name='.$host_name.'&email='.$email);
            $response = curl_exec($ch);
            curl_close($ch);
            $result = json_decode($response, true);
            
            if ($result[0] && $result[1]){
                update_option( 'site_id_masnaseo', $result[0] , "yes");
                update_option( 'user_id_masnaseo', $result[1] , "yes");
                update_option( 'email_masnaseo', $email , "yes");
            }
        } else {
            update_option( 'email_masnaseo', "" , "yes");
        }
        if ( isset( $_POST['user_id'] ) ) {
            update_option( 'user_id_masnaseo', $_POST['user_id'] , "yes");
        }
        if ( isset( $_POST['site_id'] ) ) {
            update_option( 'site_id_masnaseo', $_POST['site_id'] , "yes");
        }
    }
    
// global $wpdb;
// $charset_collate = $wpdb->get_charset_collate();

// $sql = "CREATE TABLE `wp_masna` (
//   id bigint(20) NOT NULL,
//   post_id bigint(20) UNSIGNED NOT NULL,
//   is_rewrited bigint(20) NOT NULL,
//   created_at datetime NOT NULL,
//   update_at datetime NOT NULL,
//   PRIMARY KEY  (public_key)
// ) $charset_collate;";

// require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
// dbDelta($sql);
//     if (get_option('email_masnaseo')){
        ?>
<!--     <form style="margin-top:100px, margin-left:50px" method="POST" action="">
       <div>
           <span>user id = </span> <input id="user_id" name="user_id" type="text" value="<?php echo get_option('user_id_masnaseo'); ?>">
       </div>
       <div>
           <span>site id = </span> <input id="site_id" name="site_id" type="text" value="<?php echo get_option('site_id_masnaseo'); ?>">
       </div>
       <div>
           <span>email = </span> <input id="email" name="email" type="email" value="<?php echo get_option('email_masnaseo'); ?>">
       </div>
       <button id="submit" type="submit" name="submit">تایید</button>
   </form> -->

<!-- از اینجا -->

<div class="masna-main-inner masna-padding-bott-pl">
<div class="masna-plugin-menu-logo"> <img src="../images/masna-plugin-menu.svg" alt="">
  <div class="masna-plugin-con-area">
<!--   <div class="masna-plugin-id-area">
    <div class="masna-plugin-id-title"><p>شناسه کاربری:</p></div>
    <div class="masna-plugin-id-input"><p><?php echo get_option('user_id_masnaseo'); ?></p></div>
  </div>
  <div class="masna-plugin-id-area">
    <div class="masna-plugin-id-title"><p>شناسه سایت:</p></div>
    <div class="masna-plugin-id-input"><p><?php echo get_option('site_id_masnaseo'); ?></p></div>
  </div> -->
  <div class="masna-plugin-id-area">
    <div class="masna-plugin-id-title"><p>رایانامه:</p></div>
    <div class="masna-plugin-id-input"><p><?php echo get_option('email_masnaseo'); ?></p></div>
  </div>
  <div class="masna-plugin-bordash"></div>
	  <?php if (get_option('email_masnaseo')){} else { ?>
  <div class="masna-plugin-id-title"><p>با ثبت نام از طریق ایمیل، می‌توانید به مدت یک ماه به صورت کاملا رایگان از ابزار سئو آسان مثنا استفاده نمایید.</p></div>
	  <?php } ?>
  <form style="margin-top:100px, margin-left:50px" method="POST" action="">
	  <div class="masna-plugin-email-area">
			<div class="masna-plugin-email-input">
				<input id="email" name="email" type="email" value="<?php echo get_option('email_masnaseo'); ?>" placeholder="ایمیل خود را وارد کنید">
			</div>
			<button id="submit" type="submit" name="submit" class="masna-plugin-email-but masna-pl-bl-color cursor-pointer">
				<div><?php if (!get_option('email_masnaseo')) { ?><p>ثبت رایانامه</p><?php } else { ?><p>تغییر رایانامه</p><?php } ?></div>
			</button>
	  </div>
  </form>
  <div class="masna-plugin-bordash"></div>
  
<!-- 
  <div class="masna-plugin-email-area">
    <div class="masna-plugin-info">
    <p>نسخه افزونه شما 1.1.0 می باشد.</p>
    <p class="plugin-condi">این نسخه آخرین نسخه افزونه مثنا سئو است.</p>
  </div>
  <div class="masna-plugin-email-but masna-pl-gr-color cursor-pointer margin-top-pl-15">
    <div><p>به روزرسانی افزونه</p></div>
  </div>
  </div> -->

<!--    <form style="margin-top:100px, margin-left:50px" method="POST" action="">
       <span>email = </span> <input id="email" name="email" type="email" value="<?php echo get_option('email_masnaseo'); ?>">
       <button id="request_membership" type="request_membership" name="submit">درخواست عضویت یک ماهه رایگان</button>
       <p>در صورتی که تا کنون با این سایت در پلتفورم سئو جمعی مثناسئو عضو نشده اید میتوانید با وارد کردن ایمیل خود به مدت یک ماه به صورت کاملا رایگان از این ابزار استفاده نمایید.</p>
       <p>از همیاری شما سپاسگذاریم</p>
   </form>
 -->

        <?php
//     } else {
        ?>


















        <?php
//     }
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL,
	 'https://masna.ir/api/index.php');
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 1);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_POSTFIELDS, 'get_last_version=true');
	$response = curl_exec($ch);
	curl_close($ch);
	$result = json_decode($response, true);
	$plugin_last_version = $result[0];
	$plugin_last_version_url = $result[1];
	
	
	
	
	$parse = parse_url(home_url());
	$host_name = $parse['host'];
	$ch = curl_init();
	curl_setopt($ch, CURLOPT_URL,
	 'https://masna.ir/api/index.php');
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 1);
	curl_setopt($ch, CURLOPT_POST, 1);
	curl_setopt($ch, CURLOPT_POSTFIELDS, 'site_id='.get_option('site_id_masnaseo').'&user_id='.get_option('user_id_masnaseo').'&filtersearchconsole=1&site_name='.$host_name);
	$response = curl_exec($ch);
	curl_close($ch);
    $response_data = json_decode($response, true);
	
	
	
	
	if (isset($_POST["masna_upgrade"])) {

		// Initialize the cURL session
		$ch = curl_init();
        curl_setopt($ch, CURLOPT_URL, $plugin_last_version_url);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
        curl_setopt($ch, CURLOPT_SSL_VERIFYPEER,0);
        curl_setopt($ch, CURLOPT_USERAGENT, "Mozilla/5.0 (Linux; Android 5.1; Lenovo TB3-710I Build/LMY47I) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/46.0.2490.76 Safari/537.36");

		// Initialize directory name where
		// file will be save
		$dir = dirname(dirname(dirname(__FILE__)));

		// Use basename() function to return
		// the base name of file
		$file_name = basename($plugin_last_version_url);

		// Save file into file location
		$save_file_loc = $dir .'/'. $file_name;
		// Open file
		$fp = fopen($save_file_loc, 'wb');

		// It set an option for a cURL transfer
		curl_setopt($ch, CURLOPT_FILE, $fp);
 		// curl_setopt($ch, CURLOPT_HEADER, 0);

		// Perform a cURL session
		$response = curl_exec($ch);

		// Closes a cURL session and frees all resources
		curl_close($ch);
// 		echo $response;
		// Close file
		fclose($fp);
		$zip = new ZipArchive;
		$res = $zip->open($save_file_loc);
		if ($res === TRUE) {
		  $zip->extractTo($dir);
		  $zip->close();
		  echo 'افزونه با موفقیت آپدیت شد';
		} else {
		  $zip->close();
		  echo '<p>در آپدیت افزونه خطایی رخ داده است.</p><p>شما میتوانید آخرین ورژن افزونه تولید محتوا مثنا را از <a href="'.$plugin_last_version_url.'">اینجا</a> دانلود کنید.</p>';
		}
		If (unlink($save_file_loc)) {
		  //echo 'file was successfully deleted';
		} else {
		  echo 'there was a problem deleting the file';
		}
	}
	$plugin_data = get_plugin_data( dirname (dirname (__FILE__))."/masna.php" );
	$plugin_version = $plugin_data['Version'];
	$plugin_name = $plugin_data['Name'];
   ?>
<div class="masna-plugin-email-area">
	<?php if ( $plugin_version != $plugin_last_version ) { ?>
	<form method="POST" action="">
    <div class="masna-plugin-info">	
		<p>
			نسخه افزونه شما <?php echo $plugin_version; ?> می باشد
		</p>
		<p class="plugin-condi">
			در حال حاضر نسخه <?php echo $plugin_last_version; ?> در دسترس است
		</p>
		<p>همچنین شما میتوانید آخرین ورژن افزونه <?php echo $plugin_name; ?> را از <a href="<?php echo $plugin_last_version_url; ?>">اینجا</a> دانلود کنید.</p>
	</div>
	  <button id="masna_upgrade" type="request_membership" name="masna_upgrade" class="masna-plugin-email-but masna-pl-gr-color cursor-pointer margin-top-pl-15">
		<div><p>به روزرسانی افزونه</p></div>
	  </button>
		
	</form>   
	<?php } else { ?>
    <div class="masna-plugin-info">
    <p>نسخه افزونه شما <?php echo $plugin_version; ?> می باشد.</p>
    <p class="plugin-condi">این نسخه آخرین نسخه افزونه مثنا سئو است.</p>
  </div>
   <?php } ?>
</div>
   
  <div class="masna-plugin-bordash margin-top--10"></div>
	  <?php
	  if ($response_data){ if ($response_data[0]){ ?>
		<p>برای اتصال سرچ کنسول سایت شما به ادرس <?php echo $host_name ?> کافی است ایمیل زیر را به کاربران سرچ کنسول خود اضافه نمایید.</p>
		<p style='color: red'><?php echo $response_data[0] ?></p>
	   <div class="masna-plugin-bordash margin-top--10"></div>
	<?php } }?>
  <div class="masna-plugin-but-area">

    <div class="masna-plugin-acc-but">
      <span class="masna-plugin-copic masna-plugin-copy cursor-pointer margin-right-4dar" type="button">
        <div><img src="../images/charge-account.svg" alt=""></div>
        <div class="masna-plugin-copic-a masna-plugin-copy-a cursor-pointer"><p>شارژ حساب</p></div>
      </span>
      <span class="masna-plugin-copic masna-plugin-copy cursor-pointer margin-right-4dar" type="button">
        <div><img src="../images/history-account.svg" alt=""></div>
        <div class="masna-plugin-copic-a masna-plugin-copy-a cursor-pointer"><p>سوابق خرید</p></div>
      </span>
      <span class="masna-plugin-copic masna-plugin-copy cursor-pointer" type="button">
        <div><img src="../images/sub-account.svg" alt=""></div>
        <div class="masna-plugin-copic-a masna-plugin-copy-a cursor-pointer"><p>خرید اشتراک</p></div>
      </span>

    </div> 



    
  </div>



</div>
</div>
</div>
   <?php
	
}


add_action("admin_menu", "createMasnaMenus");