<?php


function wporg_add_suggest_box() {
    $screens = [ 'post', 'wporg_cptq' ];
    foreach ( $screens as $screen ) {
        add_meta_box(
            'masna_suggest_box',                 // Unique ID
            'پیشنهاد عبارت کلیدی مثناسئو',      // Box title
            'wporg_suggest_box_html',  // Content callback, must be of type callable
            $screen                            // Post type
        );
    }
}


function wporg_suggest_box_html( $post ) {
    ?>
    <input id="masna_suggest_keyword" type="text" placeholder="کلمه کانونی">
    <a id="masna_suggest_submit" style="height: 100px;background-color: #2271b1;padding-top: 10px;padding-bottom: 10px;padding-left: 10px;padding-right: 10px;margin-right: 10px;margin-left: 10px;color: white;border-color: antiquewhite;cursor: pointer;">درخواست کلمات مرتبط</a>
    <a id="masna_suggest_submit_tags" style="height: 100px;background-color: #2271b1;padding-top: 10px;padding-bottom: 10px;padding-left: 10px;padding-right: 10px;margin-right: 10px;margin-left: 10px;color: white;border-color: antiquewhite;cursor: pointer;">افزودن تمامی عبارات پیشنهاد شده به تگ های این پست</a>
    <div id="masna_suggest_result"></div>
	<script>
		function clickHandlerMasnaSuggestSubmit(){
			document.getElementById('masna_suggest_result').innerHTML = '<img style="width:40px" src="/wp-content/plugins/masna/images/refresh.gif">';
			var request = new XMLHttpRequest();
			var url = "https://masna.ir/api/";
			request.open("POST", url, true);
			
			request.onreadystatechange = function () {
				if (request.readyState === 4 && request.status === 200) {
					document.getElementById('masna_suggest_result').innerHTML = request.response
// 					var jsonData = JSON.parse(request.response);
				}
			};
			var data = new FormData();
			data.append('user_id', '<?php echo get_option('user_id_masnaseo'); ?>');
			data.append('site_id', '<?php echo get_option('site_id_masnaseo'); ?>');
			data.append('site_name', location.hostname);
			var suggest_keyword =  document.getElementById("masna_suggest_keyword").value;
			data.append('suggest_keyword', suggest_keyword);
			request.send(data);
		}
		var masna_suggest_submit = document.getElementById('masna_suggest_submit');
		if (masna_suggest_submit.addEventListener) {
			masna_suggest_submit.addEventListener('click', clickHandlerMasnaSuggestSubmit, true);
		} else if(masna_suggest_submit.attachEvent) {
			masna_suggest_submit.attachEvent('onclick', function(){ return clickHandlerMasnaSuggestSubmit.apply(masna_suggest_submit, [window.event])});
		}
		function get_more(id,str){
            var j = 0;
            var tag_masna = document.getElementById("new-tag-post_tag").value;
            if (tag_masna){
                document.getElementById("new-tag-post_tag").value = tag_masna+","+str;
                document.getElementsByClassName("tagadd")[0].click();
            }  else {
                document.getElementById("new-tag-post_tag").value = str;
                document.getElementsByClassName("tagadd")[0].click();
            }
            j += 1;
            var count = $("#"+id).children().length;
            event.stopPropagation();
            if(count>0){
                var e = document.getElementById(""+id+"");
        
                //e.firstElementChild can be used.
                var child = e.lastElementChild;
                while (child) {
                    e.removeChild(child);
                    child = e.lastElementChild;
                }
        	}
        }
		
		function clickHandlerMasnaSuggestSumTags(){
			var tag_masna = document.getElementById('new-tag-post_tag').value;
			var child_nodes = document.getElementById('masna_suggest_result').childNodes;
			var tags = "";
			var i = 0;
			child_nodes.forEach(sumTags);
			function sumTags(value) {
				tags += value.textContent + ",";
				if (i > 10) {
					document.getElementById('new-tag-post_tag').value = tags;
					document.getElementsByClassName("tagadd")[0].click();
					tags = "";
					i = 0;
				}
				i += 1;
			}
		}
		var masna_suggest_submit_tags = document.getElementById('masna_suggest_submit_tags');
		if (masna_suggest_submit_tags.addEventListener) {
			masna_suggest_submit_tags.addEventListener('click', clickHandlerMasnaSuggestSumTags, true);
		} else if(masna_suggest_submit_tags.attachEvent) {
			masna_suggest_submit_tags.attachEvent('onclick', function(){ return clickHandlerMasnaSuggestSumTags.apply(masna_suggest_submit_tags, [window.event])});
		}
	</script>
    <?php
}
?>
      <div class="masna-adv-keyword">
      <div class="masna-but-input">
        <input placeholder="کلیدواژه کانونی مورد نظر خود را وارد کنید" type="text">
      </div>
      <div class="masna-but-send-1"><button><p>پیشنهاد عبارت کلیدی</p></button></div>
      <div class="masna-dev-desc"><p>برای اضافه کردن کلمات پیشنهادی به عنوان تگ بر روی «+» کلیک کنید.</p></div>
      
      <div class="masna-dev-tag"><p>کلمات انتخاب شده به عنوان تگ (برچسب):</p></div>
      <div class="masna-dev-tag-area padding-bottom-25">
        <span class="masna-dev-tag-remove"><p>پیشنهاد عبارت کلیدی</p><img src="../images/remove-keyword.svg" alt=""></span>
        <span class="masna-dev-tag-remove"><p>پیشنهاد عبارت کلیدی</p><img src="../images/remove-keyword.svg" alt=""></span>
        <span class="masna-dev-tag-remove"><p>پیشنهاد عبارت کلیدی</p><img src="../images/remove-keyword.svg" alt=""></span>
        <span class="masna-dev-tag-remove"><p>پیشنهاد عبارت کلیدی</p><img src="../images/remove-keyword.svg" alt=""></span>
        <span class="masna-dev-tag-remove"><p>پیشنهاد عبارت کلیدی</p><img src="../images/remove-keyword.svg" alt=""></span>
      </div>      
      
      <div class="masna-dev-tag"><p>کلمات پیشنهاد شده مرتبط با کلیدواژه کانونی</p></div>
      <div class="masna-dev-tag-area">
        <span class="masna-dev-tag-add"><p>پیشنهاد عبارت کلیدی</p><img src="../images/add-keyword.svg" alt=""></span>
        <span class="masna-dev-tag-add"><p>پیشنهاد عبارت کلیدی</p><img src="../images/add-keyword.svg" alt=""></span>
        <span class="masna-dev-tag-add"><p>پیشنهاد عبارت کلیدی</p><img src="../images/add-keyword.svg" alt=""></span>
        <span class="masna-dev-tag-selected"><p>پیشنهاد عبارت کلیدی</p><img src="../images/selected-keyword.svg" alt=""></span>
        <span class="masna-dev-tag-add"><p>پیشنهاد عبارت کلیدی</p><img src="../images/add-keyword.svg" alt=""></span>
        <span class="masna-dev-tag-add"><p>پیشنهاد عبارت کلیدی</p><img src="../images/add-keyword.svg" alt=""></span>
        <span class="masna-dev-tag-add"><p>پیشنهاد عبارت کلیدی</p><img src="../images/add-keyword.svg" alt=""></span>
        <span class="masna-dev-tag-add"><p>پیشنهاد عبارت کلیدی</p><img src="../images/add-keyword.svg" alt=""></span>
        <span class="masna-dev-tag-add"><p>پیشنهاد عبارت کلیدی</p><img src="../images/add-keyword.svg" alt=""></span>
        <span class="masna-tag-more"><p>مشاهده بیشتر</p></span>
      </div>
      </div>
<?php